Bug 1192839 - RFE: Please add support for hybrid ISOs
Summary: RFE: Please add support for hybrid ISOs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-15 20:28 UTC by Jaroslav Škarvada
Modified: 2015-07-20 12:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-20 12:17:39 UTC
Type: Bug


Attachments (Terms of Use)
Proposed fix (551 bytes, patch)
2015-02-15 20:28 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Jaroslav Škarvada 2015-02-15 20:28:54 UTC
Created attachment 991981 [details]
Proposed fix

Description of problem:
Hybrid ISOs (those with El Torito boot image and also embedded MBR) are currently not distinguished from normal ISOs (without embedded MBR). It would be nice if they could be detected by file utility.

Version-Release number of selected component (if applicable):
file-5.22-1.fc23

How reproducible:
Always

Steps to Reproduce:
1. Download Fedora Workstation Live DVD
2. Run file on it

Actual results:
ISO 9660 CD-ROM filesystem data 'Fedora-Live-WS-x86_64-21-5' (bootable)

Expected results:
ISO 9660 CD-ROM filesystem data (DOS/MBR boot sector) 'Fedora-Live-WS-x86_64-21-5' (bootable)

Additional info:
Attached patch adds "(DOS/MBR boot sector)" to hybrid ISOs with embedded MBR. Feel free to change the string, I choose it to be compatible with strings used for MBR detection. To distinguish hybrid / non hybrid ISOs, one had to run 'file -l ISO' which was quite clumsy. This patch should ease the detection. Also please forward the patch to upstream.

Comment 1 Jaroslav Škarvada 2015-02-15 20:36:36 UTC
(In reply to Jaroslav Škarvada from comment #0)
> To distinguish hybrid / non hybrid ISOs, one had to run
> 'file -l ISO' which was quite clumsy.
>
fdisk -l ISO

Comment 2 Jaroslav Škarvada 2015-02-15 20:44:04 UTC
Or add the string to the end, e.g.:
ISO 9660 CD-ROM filesystem data 'Fedora-Live-WS-x86_64-21-5' (bootable) (DOS/MBR boot sector)

Or whatever.

Comment 3 Jan Kaluža 2015-02-20 09:42:09 UTC
Sent upstream: http://bugs.gw.com/view.php?id=430

Comment 4 Jan Kaluža 2015-07-20 12:17:39 UTC
This should be fixed by update to new version of file - file-5.24 in Rawhide. Feel free to reopen if it still doesn't work with file-5.24.


Note You need to log in before you can comment on or make changes to this bug.